ST_PointInsideCircle
Prev | 8.11.2. Distance Relationships | Next

## Name

ST_PointInsideCircle — Tests if a point geometry is inside a circle defined by a center and radius.

## Synopsis

`boolean ST_PointInsideCircle(`geometry a_point, float center_x, float center_y, float radius`)`;

## Description

Returns true if the geometry is a point and is inside the circle with center `center_x`,`center_y` and radius `radius`.

Does not use spatial indexes. Use ST_DWithin instead.

Availability: 1.2

Changed: 2.2.0 In prior versions this was called ST_Point_Inside_Circle

## Examples

    SELECT ST_PointInsideCircle(ST_Point(1,2), 0.5, 2, 3);
     st_pointinsidecircle
    ------------------------
     t

## See Also

ST_DWithin

Prev | Up | Next
ST_DWithin | Home | ST_Area